COMM(1)

NAVN
comm - compare two sorted files line by line

OVERSIKT
comm [VALG]... FIL1 FIL2

BESKRIVELSE

Sammenlikn de sorterte filene FIL1 og FIL2, linje for linje.

Hvis hvis FIL1 eller FIL2 (ikke begge) er «-», leser programmet standard inndata.

Uten valg produseres utdata med tre kolonner. Kolonne en inneholder linjene som er unike for FIL1, kolonne to inneholder linjene som er unike for FIL2, mens kolonne tre inneholder linjene som er felles for begge filene.

-1  Utelat kolonne 1 (linjer som kun finnes i FIL1).

-2  Utelat kolonne 2 (linjer som kun finnes i FIL2).

-3  Utelat kolonne 2 (linjer som finnes i begge filer).

--check-order
    Sjekker om inndata er korrekt sortert, selv om alle inndatalinjer kan pares.

--nocheck-order
    Sjekker ikke om inndata er korrekt sortert.

--output-delimiter=STRENG
    Skiller kolonner med STRENG.

--total
    Skriv ut en oppsummering.

-z, --zero-terminated
    Skill mellom linjer med NUL i stedet for linjeskift.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Merk at sammenlikningsprosessen følger reglene som velges av «LC_COLLATE».

EKSEMPLER

comm -12 fil1 fil2
    Bare skriv ut linjer som finnes i både fil1 og fil2.

comm -3 fil1 fil2
    Bare skriv ut linjer som ikke finnes i begge filer.

OPPHAVSMANN
Skrevet av Richard M. Stallman og David MacKenzie.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2020 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
join(1), uniq(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/comm>
eller lokalt: info '(coreutils) comm invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.